commit:     d3c4713877d6d400668fd1398812fa2641f852ba
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  6 22:10:08 2023 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Fri Oct  6 22:11:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3c47138

app-portage/elogv: 0.8.3 (with PORTAGE_LOGDIR support)

Bug: https://bugs.gentoo.org/901961
Bug: https://bugs.gentoo.org/668538
Thanks-To: josef.95 <josef64 <AT> posteo.org>
Thanks-To: Alfred Wingate <parona <AT> protonmail.com>
Thanks-To: Sam James <sam <AT> gentoo.org>
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>

 app-portage/elogv/Manifest           |  1 +
 app-portage/elogv/elogv-0.8.3.ebuild | 56 ++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/app-portage/elogv/Manifest b/app-portage/elogv/Manifest
index 0edad5bf6e90..d4ade5b6eba0 100644
--- a/app-portage/elogv/Manifest
+++ b/app-portage/elogv/Manifest
@@ -2,3 +2,4 @@ DIST elogv-0.7.9.tar.gz 19556 BLAKE2B 
5d5f1a4adab09cf8b56ca3433b2a1cd0d3572345ff
 DIST elogv-0.8.0.tar.gz 19563 BLAKE2B 
1483f1973f0d18470484f8b4861f9301f5a2cc5e813709c3783127d0ed61db952c7edb1e5c12a3ba2066aa09bfd9c7547bc695ea9b46f106996b3036abc32d2d
 SHA512 
75c1bce6dae36f5720e36a92d08c9469a54b31ff50321cc6fc250aa5a3039f2b4ce7ad518d261acb2d653e20783d375ec2c88bc2b86cc1400b6a49cfbb14647b
 DIST elogv-0.8.1.tar.gz 19289 BLAKE2B 
e88e7383661e0a6336ffbb9027ee9d5540f14db7dd00e385afeb732925487a5cf9e73aa56cead2e11c6ae893a92006b3c75231dfb8918d8102af5988c10a480a
 SHA512 
36f4eb237a8811d3720862d0551a84a0abce36cf565c810d25457ec5b1b2735897be69856ab50be2ad08be77b3761435aae87ac377407374c7643d05fe592f27
 DIST elogv-0.8.2.tar.gz 19212 BLAKE2B 
d37daeccc4b1ed780d943649dd709815b8d2ab69665a9426700501b9266c3cd70ad0d29a828195fb16f9be71692ab1fdb80a503de94a759447dd5540b29e9dc9
 SHA512 
bc542c1ba941379290159796ede2aed8345c09e050bbbfa65ceb8f1d8c0fc6c33147d716bc685690e6b5d513d66d3aa04c96b28674ba4d83c29348740cb8feb1
+DIST elogv-0.8.3.tar.gz 27144 BLAKE2B 
7c672365afb9a17e2acf76f04b4479a5a9d8a43fd1e739ac86fb00f2744ad2b2871f12e3b384d292c8f7d704af877372e201644a6354b49d38d6ec03c2437f4d
 SHA512 
9825e530f3e2de9f84aa77afba813aaba8ce68e3fb52f7685e98099e9f5a3b828cad259d4eb273aafba9b7a14ea9e41e9c0ecf2f6efe1dfd3b81f9ea0786592b

diff --git a/app-portage/elogv/elogv-0.8.3.ebuild 
b/app-portage/elogv/elogv-0.8.3.ebuild
new file mode 100644
index 000000000000..1f4d6eb51b62
--- /dev/null
+++ b/app-portage/elogv/elogv-0.8.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..12} pypy3 )
+PYTHON_REQ_USE="ncurses"
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by 
Portage"
+HOMEPAGE="https://gitweb.gentoo.org/proj/elogv.git/";
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+PLOCALES=( "de" "es" "it" "pl" )
+IUSE="${PLOCALES[*]/#/l10n_}"
+
+RDEPEND="sys-apps/portage[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+DOCS=( README )
+
+src_install() {
+       distutils-r1_src_install
+
+       elog 'Deleting unwanted language files...'
+       for i in ${PLOCALES[@]}; do
+               if use "l10n_${i}"; then
+                       # Keep and fix man page filename (bug #869905)
+                       mv "${ED}"/usr/share/man/${i}/man1/${PN}.1{.${i},} || 
die
+               else
+                       rm -r "${ED}"/usr/share/{locale,man}/"${i}" || die
+                       elog "- Language \"${i}\" deleted"
+               fi
+       done
+}
+
+pkg_postinst() {
+       elog "In order to use this software, you need to activate"
+       elog "Portage's elog features.  Required is"
+       elog "           PORTAGE_ELOG_SYSTEM=\"save\" "
+       elog "and at least one out of "
+       elog "           PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+       elog "More information on the elog system can be found"
+       elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+       elog
+       elog "To operate properly this software needs the directory"
+       elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, 
belonging to group portage."
+       elog "To start the software as a user, add yourself to the portage"
+       elog "group."
+       elog
+}

Reply via email to